Subject: [ntpwg] KISS codes

From: mayer at gis.net (Danny Mayer)
Date: Mon, 09 Jul 2007 10:50:48 -0400

Harlan Stenn wrote:
> Danny,
> 
> In general, I really like your proposal.  I haven't said anything about
> it because I'm not aware of any reasons it's a bad idea and that
> concerns me.  I figure there *has* to be some cases where what you
> describe inappropriate.
> 
> For how long must a server stop sending packets to the server in this
> case:
> 
> a) For kiss codes: DENY, RSTR the client MUST demobilize any 
>    associations to that server and stop sending packets to that 
>    server;
> 

Just stop sending packets and not retry. If it were a try later request
it would be the RATE kiss code, see below.

> Is it a good idea to better define the "reduction" mentioned here:
> 
> b) For kiss code: RATE the client MUST immediately reduce its polling 
>    interval to that server and continue to reduce it each time it 
>    receives a RATE kiss code. 
> 

My general recommendation would be to double the polling interval each
time a RATE KISS code is received, but I'd welcome to other ideas.

Danny

---

From: brad at shub-internet.org (Brad Knowles)
Date: Mon, 9 Jul 2007 11:19:21 -0500

>  time a RATE KISS code is received, but I'd welcome to other ideas.

Exponential backoff is good.

-- 
Brad Knowles <brad at shub-internet.org>, Consultant & Author
LinkedIn Profile: <http://tinyurl.com/y8kpxu>
Slides from Invited Talks: <http://tinyurl.com/tj6q4>

09 F9 11 02 9D 74 E3 5B D8 41 56 C5 63 56 88 C0